## golang-github-icrowley-fake 0.0~git20180203.4178557

=== Makefile ===
.DEFAULT_GOAL = all

numcpus  := $(shell cat /proc/cpuinfo | grep '^processor\s*:' | wc -l)
version  := $(shell git rev-list --count HEAD).$(shell git rev-parse --short HEAD)

name     := fake
package  := github.com/icrowley/$(name)

.PHONY: all
all:: dependencies

.PHONY: tools
tools::
	@if [ ! -e "$(GOPATH)"/bin/glide ]; then go get github.com/Masterminds/glide; fi
	@if [ ! -e "$(GOPATH)"/bin/godef ]; then go get github.com/rogpeppe/godef; fi
	@if [ ! -e "$(GOPATH)"/bin/gocode ]; then go get github.com/nsf/gocode; fi
	@if [ ! -e "$(GOPATH)"/bin/gometalinter ]; then go get github.com/alecthomas/gometalinter && gometalinter --install; fi
	@if [ ! -e "$(GOPATH)"/src/github.com/stretchr/testify/assert ]; then go get github.com/stretchr/testify/assert; fi

.PHONY: dependencies
dependencies:: tools
	glide install

.PHONY: clean
clean:: tools
	glide cache-clear

.PHONY: test
test:: dependencies
	go test -v \
           $(shell glide novendor)

.PHONY: bench
bench:: dependencies
	go test        \
           -bench=. -v \
           $(shell glide novendor)

.PHONY: lint
lint:: dependencies
	go vet $(shell glide novendor)
	gometalinter                     \
		--deadline=5m            \
		--concurrency=$(numcpus) \
		$(shell glide novendor)

.PHONY: check
check:: lint test

=== debian/changelog ===
golang-github-icrowley-fake (0.0~git20180203.4178557-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-icrowley-fake-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 01:01:28 +0000

golang-github-icrowley-fake (0.0~git20180203.4178557-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Bump debhelper dependency to >= 11, since that's what is used in
    debian/compat.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 15:43:22 +0000

golang-github-icrowley-fake (0.0~git20180203.4178557-3) unstable; urgency=medium

  * update watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Nov 2020 16:46:01 +0000

golang-github-icrowley-fake (0.0~git20180203.4178557-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Jul 2019 22:26:18 +0000

golang-github-icrowley-fake (0.0~git20180203.4178557-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 15 Apr 2019 18:38:27 +0200

=== debian/control ===
Source: golang-github-icrowley-fake
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-corpix-uarand-dev
Standards-Version: 4.6.0
Homepage: https://github.com/icrowley/fake
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-icrowley-fake
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-icrowley-fake.git
XS-Go-Import-Path: github.com/icrowley/fake
Testsuite: autopkgtest-pkg-go

Package: golang-github-icrowley-fake-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-corpix-uarand-dev
Multi-Arch: foreign
Description: fake data generator for Golang
 This package contains a fake data generator for Go (Golang), heavily
 inspired by the forgery and ffaker Ruby gems.  About Most data and
 methods are ported from forgery/ffaker Ruby gems.  For the list of
 available methods please look at https://godoc.org/github.com/icrowley/fake.
 Currently English and Russian languages are available.

=== debian/watch ===
#version=4
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-icrowley-fake-\$1\.tar\.gz/,\
#uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
#  https://github.com/icrowley/fake/tags .*/v?(\d\S*)\.tar\.gz
version=4
opts="mode=git, pgpmode=none" \
https://github.com/icrowley/fake \
HEAD debian uupdate
